searchData={"items":[{"type":"module","title":"JediHelpers","doc":"Documentation for `JediHelpers`.","ref":"JediHelpers.html"},{"type":"function","title":"JediHelpers.atom_to_readable_string/1","doc":"Converts an atom into a human-readable string by title-casing its segments.\n\nUseful for displaying labels or headings derived from atoms.","ref":"JediHelpers.html#atom_to_readable_string/1"},{"type":"function","title":"Examples - JediHelpers.atom_to_readable_string/1","doc":"iex> JediHelpers.atom_to_readable_string(:user_profile)\n    \"User Profile\"\n\n    iex> JediHelpers.atom_to_readable_string(:admin)\n    \"Admin\"","ref":"JediHelpers.html#atom_to_readable_string/1-examples"},{"type":"function","title":"JediHelpers.resource_type/1","doc":"Returns the underscored (snake_case) name of a struct's module as a string.\n\nUseful for generating type identifiers from structs, especially in APIs or dynamic logic.","ref":"JediHelpers.html#resource_type/1"},{"type":"function","title":"Example - JediHelpers.resource_type/1","doc":"iex> resource_type(%JediHelpers.BlogPost{})\n    \"blog_post\"","ref":"JediHelpers.html#resource_type/1-example"},{"type":"function","title":"Parameters: - JediHelpers.resource_type/1","doc":"- `resource` (`struct`): Any Elixir struct.","ref":"JediHelpers.html#resource_type/1-parameters"},{"type":"function","title":"Returns: - JediHelpers.resource_type/1","doc":"- `String.t()`: The snake_case name of the struct's module (last segment only).","ref":"JediHelpers.html#resource_type/1-returns"},{"type":"function","title":"JediHelpers.uri_parse_path/1","doc":"Extracts the path segment from a URI string.\n\nUseful for isolating the path portion of a full URL (e.g. `/users/123`).","ref":"JediHelpers.html#uri_parse_path/1"},{"type":"function","title":"Example - JediHelpers.uri_parse_path/1","doc":"iex> uri_parse_path(\"https://example.com/users/123?ref=home\")\n    \"/users/123\"","ref":"JediHelpers.html#uri_parse_path/1-example"},{"type":"function","title":"Parameters: - JediHelpers.uri_parse_path/1","doc":"- `uri` (`String.t()`): A URI string.","ref":"JediHelpers.html#uri_parse_path/1-parameters"},{"type":"function","title":"Returns: - JediHelpers.uri_parse_path/1","doc":"- `String.t()` or `nil`: The path component of the URI, or `nil` if absent.","ref":"JediHelpers.html#uri_parse_path/1-returns"},{"type":"module","title":"JediHelpers.ChangesetHelpers","doc":"","ref":"JediHelpers.ChangesetHelpers.html"},{"type":"function","title":"JediHelpers.ChangesetHelpers.trim_whitespace/3","doc":"Trims leading and trailing whitespaces from the specified fields in the changeset.\nThis ensures consistency and helps maintain uniqueness, especially for `citext` fields.\n\nYou can also specify a `max` length in the `opts` to validate that the field's length\nafter trimming does not exceed the specified value. If it exceeds, a validation error is added.","ref":"JediHelpers.ChangesetHelpers.html#trim_whitespace/3"},{"type":"function","title":"Example - JediHelpers.ChangesetHelpers.trim_whitespace/3","doc":"changeset\n|> trim_whitespace(:username, max: 50)\n|> unique_constraint(:username)","ref":"JediHelpers.ChangesetHelpers.html#trim_whitespace/3-example"},{"type":"function","title":"Parameters: - JediHelpers.ChangesetHelpers.trim_whitespace/3","doc":"- `changeset` (`Ecto.Changeset.t()`): The changeset containing the field to be processed.\n- `field` (`atom()` or `[atom()]`): The field(s) to trim.\n- `opts` (`keyword()`): Options for the function:\n- `:max` (`integer()`): The maximum allowed length after trimming. Adds a validation error if exceeded.","ref":"JediHelpers.ChangesetHelpers.html#trim_whitespace/3-parameters"},{"type":"function","title":"Returns: - JediHelpers.ChangesetHelpers.trim_whitespace/3","doc":"- An updated `Ecto.Changeset.t()` with the trimmed field and potential validation error if the length exceeds `max`.","ref":"JediHelpers.ChangesetHelpers.html#trim_whitespace/3-returns"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}